<?php
// +-----------------------------------------------------------------------+
// | PiwiShack - a Piwigo Plugin                                           |
// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Piwishack
Version: 0.1
Description: Affichage d'une liste de liens formatés pour afficher vos images sur des sites/blogs/forums.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=324
Author: Gotcha
Author URI: http://www.julien-moreau.fr
*/

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

if (in_array(script_basename(), array('picture', 'index', basename(dirname(__FILE__).'_controller'))))
{
  include_once(dirname(__FILE__).'/initialize.inc.php');
}

// Gestion multi-langues
define('PWS_DIR' , basename(dirname(__FILE__)));
define('piwishack_PATH' , PHPWG_PLUGINS_PATH . PWS_DIR . '/');
load_language('plugin.lang', piwishack_PATH);

?>
